Subject: Re: [PATCH net-next v1 4/4] usbnet: add support for label from device tree

From: Andrew Lunn <[email-masked]>
Date: Thu, 27 Jan 2022 15:28:54 +0100

> - Board with USB Ethernet controller with DSA switch. The USB ethernet
>   controller is attached to the CPU port of DSA switch. In this case,
>   DSA switch is the sub-node of the USB device. The CPU port should have
>   stable name for all device related to this product.

All that DSA requires is a phandle pointing to the MAC. It does not
care what the interface name is. It should not be an issue if udev
changes the name to something your product marketing guys say it
should be.

   Andrew